WelCome

Palm AddressBook Synchronizer
Cellica Software Services
http://www.cellica.com


Introduction

  • Introduction

Welcome to Palm AddressBook Synchronizer. It will help you to transfer and keep desktop database contents synchronized with your Palm AddressBook. It allows you to synchronize databases like MS Access, MS FoxPro, MySQL, dBase, and any ODBC Compliant Database like Oracle, SQL Server on Palm AddressBook. It follows very simple approach. What we did is: we provided you two programs. One works on desktop computer having Microsoft windows and other on Palm Handheld. You just have to use the desktop side program (Palm AddressBook Synchronizer) to create desktop database profile. Just run Palm side program to register only. Palm AddressBook Synchronizer also import Palm AddressBook data to desktop as a comma separated file(CSV).

  • Features

  1. Supported Databases: MS Access, MS FoxPro, Oracle, SQL Server, MS dBase, MySQL and Any ODBC Compliant Database..
  2. Ms Excel is used to transfer from desktop to Palm.
  3. Keep desktop database synchronized with Palm AddressBook.
  4. Apply any SQL Select queries on database to purify records.
  5. Select data from multiple tables.
  6. Import Palm AdressBook data to desktop as a Comma Separated Values file(CSV file).


Desktop DBViewerPlus

  • Startup

Run Palm AddressBook Synchronizer from your desktop or from Start->Programs->Palm AddressBook Synchronizer ->Palm AddressBook Synchronizer, you will see following screen.

Fig: Palm AddressBook Synchronizer

  • Palm AddressBook Synchronizer Menu

    Fig: Palm AddressBook Synchronizer Menu

  • Creating New Profile

Right click in Left Pane or from Profile menu, click New.

Fig: New Profile Creation

  • Profile Type Selection

After selecting New Profile, you will be prompted to New Profile Wizard as shown below.

Fig: Sync Type

From above screen select any one of the following sync type, by default sync type is "Desktop Append Palm".

  • Desktop Append Palm:
Select this profile type when you want to transfer your desktop database contents on Palm AddressBook after syncing. Every time when sync take place, this profile type will keep your Palm AddressBook as it is and new data from desktop database will be append to your previous Palm AddressBook.
  • Desktop Overwrites Palm:

Select this profile type when you want to transfer your desktop database contents on Palm after syncing. Every time when sync take place, this profile type will delete all the data from your Palm AddressBook and add complete new data from desktop database to Palm AddressBook.

  • Palm Append Desktop :

Select this profile type when you want to transfer your Palm AddressBook data to desktop database after syncing. Every time when sync take place, this profile will keep desktop database contents as it is and new data from Palm AddressBook will be appended to original desktop database.

  • Palm Overwrites Desktop :

Select this profile type when you want to transfer your Palm AddressBook data to desktop after syncing.Every time when sync take place, this profile will delete all the data from desktop database and all data from Palm AddressBook will be added to original desktop database.

  • Do Nothing :

Select this profile type when you just want to create a profile, but do not want to sync right now.

  • Import Palm AddressBook data to desktop as CSV file :

Select this profile type when you want to import all the Palm AddressBook data to desktop in a comma separated file. Every time after syncing the data will be available as a ContactDatabase.csv file on application installation path.

Remember, For Sync type " Palm Append Desktop" and "Palm Overwrites Desktop" Desktop database should not have any constraints/validations. eg. Primary key, Not Null etc.

Although, you can select such database, but you may lose some of your desktop contents depending on database constraints. Select this profile type on your own risk.

If you find that, after syncing you have not retained all database contents, use backup restore feature to restore your desktop database contents. Palm AddressBook Synchronizer takes backup of desktop database before transferring Palm contents into it.

  • Database Selection & Sync Information

Fig: Database Selection & Sync Information

From above figure, either select "File Based Database" or "ODBC Database".

  • File Based Database

File based database allows you to select database like MS Access (mdb), Excel file (xls),dbase (dbf) files.
Click on browse button and browse to the location where you database file is situated and select one.

  • ODBC Database

Databases compatible to ODBC can be selected using DSNs. Select a DSN from available DSNs of your machine. You can manage these DSNs by clicking on "Config" button.

While selecting database, you may be prompted to enter security authentication like User Name and Password.

Enter profile name of your choice. Select proper Palm user for which you want to create database profile.Please note that you can able to create a only one profile for one Palm user. Finally select sync occasion "Sync On"

By default, Palm AddressBook Synchronizer will synchronize your desktop database with Palm at every sync/connection operation.
But, you can override this setting. Select the occasion of sync from Sync On popup and set time, Date/Day of syncing as per your selection. Palm AddressBook Synchronizer will synchronize desktop data with Palm on/after the given sync time. It will help you decrease unnecessary data syncing and reduce the time at sync operation. Refer "Profile Configuration" for more information on Sync on.

  • Table Selection/Query Building

After completing database selection, next step is table selection and building a query. Here you need to select a table from selected database. You will see screen below:

Fig: Table Selection and Build Query Dialog

Select a table you want to work. In Query Edit Box which is non editable You will get sql statement for the selected table. To get data from 2 or more tables just Press Ctrl + Mouse Left Click for the tables you want to work. To apply Filter for the selected table(s) use "Filters" button.

  • Applying Filters

In above figure, Fig. 4, click on "Filters" button, you will see following filter dialog:

Fig: Filters Dialog

Here, you can apply as many filters as you want. Initially, one filter is shown, by default. Click on "Add" button to have more filters. Select check marks to those filters you want, select field from "Available Fields" popup, select operator from "Filter Operator" popup and click on "Filter Value" edit box and enter value which you want as a filter condition value.

Remember, filter values must be proper as per data type of selected fields.

If you selected numeric field, say ID, then filter value must be numeric, say 35. For character data type filter value must be included in single quotes ('). For date/time fields, filter value must be in #. If you select filter operator IS then filter value must be NULL or NOT NULL. If you select filter operator like then filter values must be a pattern included in single quote.

Here are some examples of filters.

PhoneNO IS NULL
Name IS NOT NULL
name like 'a%' : Name starting with letter a
name = 'John'
amount >= 2000
birthdate = #1/1/1978#
time >= #2:10#
birthdate >= '1-jan-1978'

Note: Using # for filter conditions values may change depending on which database you are using. MS Access, Excel allows to uses # where as Oracle, SQL Server allows to use single quote (') for date filter values.

  • Field Mapping

Fig: Field Mapping Dialog

Here, you can map the custom database fields to Palm AddressBook fields,After sync according to this field mapping the data will be transfer to Palm AddressBook or vice versa.

This page is basically meant for one to one Field mapping between device and your desktop database fields. The Left hand side contains the Palm AddressBook standard fields, whereas the right hand side list contains the currently selected database fields. To change the field order, click a field name on the right hand and drag it up or down the list to match the data on the left and mark it as checked as well. It does the proper field mapping. Apply the same procedure for rest of the right hand fields.

After mapping click on "Finish" button to save the mapping in the profile database for further synchronization purpose . If your field mapping is not proper it will display appropriate message.If mapping is proper then the profile will be created successfully.

  • Field Mapping Preview

Click on "Finish" Button to finish new profile creation. After finishing, you will get profile in left pane of Palm AddressBook Synchronizer. Click on profile, database content preview will be shown on right pane of Palm AddressBook Synchronizer window. This preview is different for different sync type.

If the sync type is "Desktop Append Palm" or "Desktop Overwrites Palm" or "Do Nothing" then it's look will be as follows.

Fig: Field Mapping Preview in case of Desktop Append/Overwrites Palm

If the sync type is "Palm Append Desktop" or "Palm Overwrites Desktop" then it's look will be as follows

Fig: Field Mapping Preview in case of Palm Append/Overwrites Desktop

If the sync type is "Import Palm AddressBook data to desktop as CSV file" the preview will be as follows.

Fig: Field Mapping Preview in case of Import Palm AddressBook data to desktop as CSV file

  • Modifying Existing Profile

  • Renaming Profile

Select a Database Profile from left pane of Palm AddressBook Synchronizer. Select Profile Name from "Edit"menu OR Select Edit Profile Name from right click menu. You will be prompted to enter profile name. Enter new name and select "Change" button to rename profile.

  • Field Mapping Editing

Select a Database Profile from left pane of Palm AddressBook Synchronizer, expand it, and select "Field Mapping & Query" property. right click on "Field Mapping & Query" property, as shown below, and select "Field Editing...", you will get following dialog, as that of in "Table Selection/Query Building" step.

Fig: Field Mapping editing

From above dialog, you can modify table, Query, Filters and Field Mapping.

  • Modifying Sync Properties

Fig: Sync Properties Modification view

Here, you can change sync type. You can switch between "Desktop Append Palm" or "Desktop Overwrites Palm" or "Palm Appned Desktop" or "Palm Overwrites Desktop" or "Do Nothing" It will change way of data transfer. You can change Palm user for which profile is created. Also you can change the occasion on which sync should take place. Refer "Sync Information" step or "Profile Configuration" for more information on Sync Properties.

  • Deleting Profile

Select a profile which you want to delete, from right pane of Palm AddressBook Synchronizer. Right click on it, and select "Delete Profile..." or from toolbar select "Delete Profile"button. You will be confirmed about profile deletion. Deleting profile will also delete backup data taken by Palm AddressBook Synchronizer during syncing process.

  • Recovering Lost Data

  • Taking Backup

User need not to take explicit backup of particular database. "Desktop Overwrites Palm" do not have risk of losing desktop data, but for "Palm Overwrites Desktop" profile, there are chances of losing valuable desktop data. While syncing "Palm Overwrites Desktop" profile, Palm AddressBook Synchronizer takes backup of desktop data before transferring Palm AddressBook data into it. Backup of last four syncing is stored with Palm AddressBook Synchronizer. Refer "Restore Data" step for putting back this backup into original desktop database.

  • Restoring Data

Select a profile from left pane of Palm AddressBook Synchronizer. Right click on it and select "Restore Contents..." or from Profile menu/toolbar select "Restore Contents..". You will see dialog as under:

Fig: Backup and Restore Dialog

In left pane of this dialog, you will see the current contents of desktop database. In right pane, you will see the backup contents. There are backup contents of last four syncing. Select appropriate backup from popup list. If you feel that you have lost some of your original data from original desktop database (left pane), select appropriate backup and click on "Restore" button. This will put backup data into original desktop database.


Handheld DBViewerPlus

  • Product Registration

    • After successful installation of "Palm AddressBook Synchronizer", on your Palm, start "Palm AddressBook Synchronizer". You will see registration screen something like below: This screen is display only if the product is not register. Once you register the product. If you tap on Palm AddressBook Synchronizer it will not display anything. because this device side program will not having any GUI. According to users point of view , this device side program will be useful for registration only.

    Evaluation

    In evaluation version you can able to transfer only five records for any one of the following sync type

    Desktop Append Palm
    Desktop Overwrites Palm
    Palm Append Desktop
    Palm Overwrites Desktop
    Import Palm Contacts data to desktop as CSV file

    Note

    After synchronization you will able to see transfered addresses in Palm AddressBook application.


FAQs

  • Frequently Asked Questions:

    1. What is Database Synchronization Profile?

"Database Synchronization Profile" is a link between your desktop database and Palm AddressBook. It manages, what database to keep in synchronization with Palm and when to synchronize.

    2. What is DSN/ODBC Database?

DSN or Data Source Name is a way of Database connectivity through ODBC. Palm AddressBook Synchronizer allows you to connect to ODBC database using DSNs available on your machine. You can create/manage DSNs on your machine. For that, Click on Config button in Database Selection dialog or on your machine, click Start->[Settings]->Control Panel->[Administrative Tools]->Data Sources (ODBC)

    3. What are filters and How to Apply filters?

While creating Database Profile, you may want to transfer only selected record contents on Palm AddressBook. Here, you can apply filters i.e. condition on record contents to transfer on to Palm. Open Apply Filters dialog, Check mark the filters for those you want. Select database field on which you want to apply filter, select appropriate filter operator and enter the filter condition value. You can apply one or more filters. To apply more than one filter, you must select joining in between two filters i.e. "AND" or "OR".
Remember, you must set proper filter value as per field selection. If you selected numeric field, say ID, then filter value must be numeric, say 35. For character data type filter value must be included in single quotes ('). For date/time fields, filter value must be in #.
If you want, you can manually enter filter condition in SQL query instead of using "Apply Filters" dialog. In SQL query, at the end, put "Where filter conditions" by removing earlier condition, if any.

Here are some examples of filters.

name = 'John'
amount >= 2000
birthdate = #1/1/1978#
time >= #2:10#
birthdate >= '1-jan-1978'

Note: Using # for filter conditions may change depending on which database you are using. MS Access, Excel allows to uses # where as Oracle, SQL Server allows to use single quote (') for date filter values.

SQL Query Example :
Where name='John' and birthdate > #1/1/1978# or EmpID > 15
For Oracle/SQL Server:
Where name='John' and birthdate > '1-jan-1978' or EmpID > 15

    4. What is SQL Query?

SQL Query directs what contents from connected database to synchronize with Palm device. Using "Build Query" dialog user can select tables, fields, filters which is summarized in terms of SQL query, which Palm AddressBook Synchronizer uses to fetch data. What ever changes you made on database, tables, fields, filters etc, finally all these will get reflected in SQL query. So, if user has some SQL knowledge, he can directly modify SQL query to get expected data. Use can enter any valid SQL Select query, which may include table joining, filtering, sorting, grouping etc

    5. What are Sync Option?

Sync Options , means the way by which your database contents will transfer. Using "Desktop Append/Overwrites Palm" your desktop database contents will transfer to Palm AddressBook while synchronizing. Using "Palm Append/Overwrites Desktop", Palm AddressBook data contents will flow from Palm to desktop. "Do Nothing " will disable profile from transferring data. At any time, you can switch among these options. For "Palm Append/Overwrites Desktop" sync option will be allowed for those profiles which have selected only one table and do not having where clause from that table.

    6. What is Field Mapping?

Field mapping is allows you to map the desktop database fields to Palm AddressBook Fields. The user has choice, which desktop database field should be transfer to which field of Palm AddressBook. According to this field mapping the records will be transfer to Palm AddressBook. At the time of field mapping the user should take care of data types. Palm AddressBook Synchronizer allows you to map having any data types to any one of the Palm AddressBook

All the fields of Palm AddressBook having char data types. Also Only map 5 phone fields among 8 . If you try to map more than 5 phone fields then it will give warning messages. You will have to correct this mapping and precede next.

Suggestion: You will used char data type to all the fields of Palm AddressBook. If you map field having other data types, then still ok, but you should consider following situation. If you map the field phoneno of desktop database to phoneno of Palm AddressBook. and the data type of phoneno field of desktop is LONG, then you should able to transfer maximum of 10-digit phone number only.

    7. What is Profile Configuration?

Through Profile Configuration, you can view/manage existing profiles. Also you can set, how the profile will work? You can set User with whom Database will be synchronized. You can set occasion of Database Synchronization. Syncing Desktop Database contents with Palm at every device connection/synchronization may increase sync time and decrease speed. When you set sync occasion, then Palm AddressBook Synchronizer will sync database contents at the given sync occasion only.

About "Sync On" :
Using "Sync On" you can set the date/time when desktop database sync occurs.

      1. Every Time:

Will synchronize desktop database contents with Palm at every device connection/sync.

      2. Once Every Day:

Will synchronize desktop database contents on or after entered time once in a day. Once database get synchronized, it will not get synchronized again on that day.

      3. Once Weekly :

Will synchronize database once every week on specified "Day of Week" and on/after specified time on that day.

      4. Once Monthly :

Will synchronize database once every month on specified date of every month and on/after specified time on that day of month.

      5. Only Once:

Will transfer desktop database contents onto Palm only once after profile creation or first time after profile modification on desktop.


Support

  • Supported Data Types

Currently Palm AddressBook Synchronizer supports following data types.

  1. Memo, Char
  2. Number of type: Byte, Decimal, Integer, Long Integer, Single, Real, Float, Double
  3. GUID
  4. Date/Time
  5. AutoNumber of type: Long Integer
  6. Yes/No
  7. Hyperlink
  8. Currency

  • Contact US

You can refer to following email addresses to contact us:

  • Product support

    • support@cellica.com
  • Sales inquiries

    • sales@cellica.com

  • About Palm AddressBook Synchronizer